libcflow-perl_0.68-12.5_i386.deb


Advertisement

Description

libcflow-perl - perl module for analyzing raw IP flow files written by cflowd

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Main i386
Package filename libcflow-perl_0.68-12.5_i386.deb
Package name libcflow-perl
Package version 0.68
Package release 12.5
Package architecture i386
Package type deb
Category devel::lang:perl devel::library implemented-in::perl perl protocol::ip
Homepage http://www.splintered.net/sw/flow-tools/
License -
Maintainer Radu Spineanu <radu@debian.org>
Download size 68.94 KB
Installed size 231.00 KB
This Perl module implements an API for analyzing flows in raw IP flow files
written by cflowd, a package used to collect Cisco NetFlow data.

Alternatives

Package Version Architecture Repository
libcflow-perl_0.68-12.5_amd64.deb 0.68 amd64 Debian Main
libcflow-perl - - -

Requires

Name Value
libc6 >= 2.3
perl >= 5.24.1~rc4-1
perlapi-5.24.1 -
zlib1g >= 1:1.1.4

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libcflow-perl_0.68-12.5_i386.deb
Source Package flow-tools

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libcflow-perl deb package:
    # sudo apt-get install libcflow-perl

Files

Path
/usr/bin/flowdumper
/usr/lib/i386-linux-gnu/perl5/5.24/Cflow.pm
/usr/lib/i386-linux-gnu/perl5/5.24/auto/Cflow/Cflow.so
/usr/lib/i386-linux-gnu/perl5/5.24/auto/Cflow/autosplit.ix
/usr/share/doc/libcflow-perl/README
/usr/share/doc/libcflow-perl/changelog.Debian.gz
/usr/share/doc/libcflow-perl/changelog.gz
/usr/share/doc/libcflow-perl/copyright
/usr/share/man/man1/flowdumper.1p.gz
/usr/share/man/man3/Cflow.3pm.gz

Changelog

2016-12-10 - Bernhard Schmidt <berni@debian.org>
flow-tools (1:0.68-12.5) unstable; urgency=medium
* Non-maintainer upload.
* Build-Dep: Change libmysqlclient-dev -> default-libmysqlclient-dev
(Closes: #845839)
* Build-Dep: Add libfl-dev (Closes: #846425)
* Run wrap-and-sort
* explicitly set source format to 1.0
* Patch from Chris Lamb to make build reproducible (Closes: #797437)
2016-06-20 - Bernhard Schmidt <berni@debian.org>
flow-tools (1:0.68-12.4) unstable; urgency=medium
* Non-maintainer upload.
* Bump debhelper compat level to 9 (Closes: #817454)
2015-07-23 - gregor herrmann <gregoa@debian.org>
flow-tools (1:0.68-12.3) unstable; urgency=medium
* Non-maintainer upload.
* Fix "Please drop conditional build-depend on libmysqlclient15-dev":
do as the bug report request. Otherwise the package FTBFS with sbuild in
the default configuration.
(Closes: #790464)
2015-07-18 - gregor herrmann <gregoa@debian.org>
flow-tools (1:0.68-12.2) unstable; urgency=medium
* Non-maintainer upload.
* Fix "ftbfs with GCC-5":
add patch from Alexander Balderson (changed semantics for inline)
(Closes: #777853)
2012-02-21 - Leo Iannacone <l3on@ubuntu.com>
flow-tools (1:0.68-12.1) unstable; urgency=low
* Non-maintainer upload.
* Added patch to fix error loading module with perl 5.14
(closes: 660041, LP: #936170).
2008-06-03 - Radu Spineanu <radu@debian.org>
flow-tools (1:0.68-12) unstable; urgency=low
* Added a patch so that flow-send compiled with gcc4 won't fail 
sending flows. (closes: #426244)
* Lintian warnings:
+ Fixed "-$(MAKE) distclean" warning.
+ Modified the comments in the patches to start with DP:.
+ Moved Homepage header from the extended description to a regular 
field.
* Bumped Standards Version.
* Nothing to Acknowledge for the NMU, bugs where closed. 
Thanks Marc.
2008-03-27 - Marc 'HE' Brockschmidt <he@debian.org>
flow-tools (1:0.68-11.1) unstable; urgency=low
* Non-maintainer upload.
* debian/rules: 
+ Use dh_perl to generate the needed perlapi dep (Closes: #463085)
+ Don't fail when perl is smart enough to not create an empty
/usr/share/perl5 (Closes: #467045)
* flow-tools.flow-capture.init: Don't try to stop in runlevel S. (Closes:
#471098)
* debian/control: Replace deprecated Source-Version substvar by
binary:Version (which does the same)
2007-04-16 - Radu Spineanu <radu@debian.org>
flow-tools (1:0.68-11) unstable; urgency=low
* Fixed restarting in the flow-capture init script.
(closes: #406631)
* (flow-capture) Write the pid file only after a successful 
bind to the socket so it doesn't interfere with an already 
running process. (closes: #413346)
2006-11-17 - Radu Spineanu <radu@debian.org>
flow-tools (1:0.68-10) unstable; urgency=low
* Fixes ip-destination-address/source-tag report.
Big thanks to Ilya Anfimov for the patch. (closes: #375976)
* Fix a spelling mistake in the package description.
(closes: #363416)
* Removed an extra zlib1g-dev build dependency.
* Added a LSB keyword function to the init script.
* Updated Standards Version.
2006-05-29 - Radu Spineanu <radu@debian.org>
flow-tools (1:0.68-9+b2) unstable; urgency=low
* Binary-only non-maintainer upload for i386; no source changes.
* Rebuild it again, actually linking to the correct library.

See Also

Package Description
libcg3-0_0.9.9~r11624-1+b3_i386.deb Runtime for CG-3
libcg3-dev_0.9.9~r11624-1+b3_i386.deb Headers and shared files to develop using the CG-3 library
libcgal-demo_4.9-1_all.deb C++ library for computational geometry (demos)
libcgal-dev_4.9-1+b2_i386.deb C++ library for computational geometry (development files)
libcgal-ipelets_4.9-1+b2_i386.deb C++ library for computational geometry (ipelets)
libcgal-qt5-12_4.9-1+b2_i386.deb C++ library for computational geometry (support for Qt5)
libcgal-qt5-dev_4.9-1+b2_i386.deb C++ library for computational geometry (development files, support for Qt5)
libcgal12_4.9-1+b2_i386.deb C++ library for computational geometry
libcgi-ajax-perl_0.707-1_all.deb Perl-specific system for writing Asynchronous web applications
libcgi-application-basic-plugin-bundle-perl_0.8_all.deb bundle of basic plugins for CGI::Application
libcgi-application-dispatch-perl_3.12-2_all.deb request dispatcher for CGI::Application
libcgi-application-extra-plugin-bundle-perl_0.6_all.deb bundle of extra CGI::Application plugins
libcgi-application-perl_4.50-4_all.deb framework for building reusable web-applications
libcgi-application-plugin-actiondispatch-perl_0.99-2_all.deb attribute extension for CGI::Application
libcgi-application-plugin-anytemplate-perl_0.18-2_all.deb module supporting any templating system in CGI::Application
Advertisement
Advertisement